ogg files lost
Closed, ResolvedPublic

Description

I just stumbeled on a set of missing ogg files on commons (see attached url for
a list). Image description pages and entries in the image table exist, butthe
files do not. Those files where uploaded over a period of about 7 months, all by
the same user, and where not properly detected as vorbis (img_media_type is
MULTIMEDIA instead of AUDIO).

I don't know if that is related to the files being missing - also, I found that
set of files by coincidence, there may be many more - please investigate. Maybe
something went wrong during upload? Or wher ethe files lost later on?

Somewhere, somehow, files are lost and an inconsistency with the database is
created - so I have set this to "high/major".


Version: unspecified
Severity: major
URL: http://commons.wikimedia.org/wiki/User_talk:GerardM#OGG_file_problems

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz5828.
daniel created this task.Via LegacyMay 4 2006, 6:01 PM
brion added a comment.Via ConduitJun 17 2006, 11:57 AM

Checking the November 2005 dump for these files...

It's possible they were deleted but that the database entry
changes were lost for some reason (failure etc), or of course
that something went horribly awry on upload years ago.

There's only so much you can do about investigating files that
are so old...

bzimport added a comment.Via ConduitOct 12 2006, 5:37 PM

gmaxwell wrote:

I have most (all?) of the lost files in an old backup copy of commons. However,
it will be a pain to retrieve them and verify that they are all the correct
files. Has any of the uploaders (were they all from GerardM?) responded to this
issue? If they still have the files it would be easier if they reuploaded (or
told us that they should have been deleted.

If I don't hear anything more I will just fix the files from my archives.

bzimport added a comment.Via ConduitSep 25 2007, 6:58 PM

jeluf wrote:

Has this been taken care of in the meantime?

aaron added a comment.Via ConduitSep 16 2008, 1:18 AM

Is this still an issue?

Ilmari_Karonen added a comment.Via ConduitNov 27 2008, 6:29 PM

The files seem to be still missing. I've found a total of 30 files like this on Commons, from two uploaders (GerardM and AdaM):

[[commons:Image:Fa-آن_سوزن_است.ogg]]
[[commons:Image:Fa-خوشحال.ogg]]
[[commons:Image:It-acido_citrico.ogg]]
[[commons:Image:It-antralinato_di_metile.ogg]]
[[commons:Image:It-detartraggio_del_vino.ogg]]
[[commons:Image:It-estratto_ridotto.ogg]]
[[commons:Image:It-estratto_secco.ogg]]
[[commons:Image:Nl-Amerikaanse_dikkop-elrits.ogg]]
[[commons:Image:Nl-De_Marne.ogg]]
[[commons:Image:Nl-Hof_van_Twente.ogg]]
[[commons:Image:Nl-Kaapse_pelsrob.ogg]]
[[commons:Image:Nl-Roggel_en_Neer.ogg]]
[[commons:Image:Nl-Ten_Boer.ogg]]
[[commons:Image:Nl-Ter_Aar.ogg]]
[[commons:Image:Nl-Thai.ogg]]
[[commons:Image:Nl-West_Maas_en_Waal.ogg]]
[[commons:Image:Nl-afhangen_van.ogg]]
[[commons:Image:Nl-aplastisch_anemie.ogg]]
[[commons:Image:Nl-arctische_walvis.ogg]]
[[commons:Image:Nl-behept_zijn_met.ogg]]
[[commons:Image:Nl-berichten_over.ogg]]
[[commons:Image:Nl-blauwe_vinvis.ogg]]
[[commons:Image:Nl-cervix_uteri.ogg]]
[[commons:Image:Nl-cor_pulmonale.ogg]]
[[commons:Image:Nl-duro_mater.ogg]]
[[commons:Image:Nl-post_partum.ogg]]
[[commons:Image:Nl-spijt_hebben_van.ogg]]
[[commons:Image:Nl-vitale_capaciteit.ogg]]
[[commons:Image:Nl-voorzien_van.ogg]]
[[commons:Image:Nl-zich_verheugen_op.ogg]]

Raw list, including original upload summaries, is at http://toolserver.org/~vyznev/query_commons_redlink_images.tab

Platonides added a comment.Via ConduitMar 5 2009, 5:04 PM

(In reply to comment #2)

I have most (all?) of the lost files in an old backup copy of commons.

I don't find any of them there.

The list is now gzipped:
http://toolserver.org/~vyznev/query_commons_redlink_images.tab.gz

Ilmari_Karonen added a comment.Via ConduitJul 7 2009, 9:18 PM

It seems that these files are stuck in some sort of limbo: all the pages have been deleted, but the records in the image table remain and are apparently impossible to delete on-wiki. I think what's needed at this point is for someone with shell access to manually delete the records from the image table (plus one oldimage record for Fa-خوشحال.ogg) as well as any possibly remaining thumbnail directories and such.

Ilmari_Karonen added a comment.Via ConduitJul 8 2009, 2:11 AM

Ps. [[File:Tuli.JPG]] on Commons seems to be in a similar kind of limbo.

Platonides added a comment.Via ConduitJul 8 2009, 9:19 PM

(In reply to comment #8)

Ps. [[File:Tuli.JPG]] on Commons seems to be in a similar kind of limbo.

Seems a reversal of bug 15430.

Ilmari_Karonen added a comment.Via ConduitOct 18 2009, 6:28 PM

I managed to delete these files by first uploading a dummy file on top of them (so that the existence check in ImagePage::delete() passed). I believe this particular bug can now be closed.

Add Comment